org.richfaces.fragment.calendar

## Class YearAndMonthEditor

- java.lang.Object
- - org.richfaces.fragment.calendar.YearAndMonthEditor

-     public class YearAndMonthEditor
      extends Object

  Component for calendar's year and month editor.
  Author:
    Jiri Stefek

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `YearAndMonthEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelDate()`
    `void` | `confirmDate()`
    `org.openqa.selenium.WebElement` | `getCancelButtonElement()`
    `org.joda.time.DateTime` | `getDate()`
    `List<Integer>` | `getDisplayedYears()`
    `protected org.openqa.selenium.WebElement` | `getFirstYear()`
    `protected List<org.openqa.selenium.WebElement>` | `getMonthsEven()`
    `protected List<org.openqa.selenium.WebElement>` | `getMonthsOdd()`
    `org.openqa.selenium.WebElement` | `getNextDecadeButtonElement()`
    `org.openqa.selenium.WebElement` | `getOkButtonElement()`
    `org.openqa.selenium.WebElement` | `getPreviousDecadeButtonElement()`
    `org.openqa.selenium.WebElement` | `getRootElement()`
    `protected String` | `getSelectedClass()`
    `protected org.openqa.selenium.WebElement` | `getSelectedMonth()`
    `Integer` | `getSelectedMonthNumber()`
    `protected org.openqa.selenium.WebElement` | `getSelectedYear()`
    `Integer` | `getSelectedYearNumber()`
    `List<String>` | `getShortMonthsLabels()`
    `long` | `getTimeoutForYearAndMonthEditorToBeNotVisible()`
    `long` | `getTimeoutForYearAndMonthEditorToBeVisible()`
    `protected List<org.openqa.selenium.WebElement>` | `getYears()`
    `protected List<org.openqa.selenium.WebElement>` | `getYearsEven()`
    `protected List<org.openqa.selenium.WebElement>` | `getYearsOdd()`
    `boolean` | `isVisible()`
    `void` | `nextDecade()`
    `void` | `previousDecade()`
    `YearAndMonthEditor` | `selectDate(org.joda.time.DateTime date)`
    `void` | `settimeoutForYearAndMonthEditorToBeNotVisible(long timeoutInMilliseconds)`
    `void` | `setTimeoutForYearAndMonthEditorToBeVisible(long timeoutInMilliseconds)`
    `WaitingWrapper` | `waitUntilIsNotVisible()`
    `WaitingWrapper` | `waitUntilIsVisible()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### YearAndMonthEditor

          public YearAndMonthEditor()

  - ### Method Detail

    - #### cancelDate

          public void cancelDate()

    - #### confirmDate

          public void confirmDate()

    - #### getCancelButtonElement

          public org.openqa.selenium.WebElement getCancelButtonElement()

    - #### getDate

          public org.joda.time.DateTime getDate()

    - #### getDisplayedYears

          public List<Integer> getDisplayedYears()

    - #### getNextDecadeButtonElement

          public org.openqa.selenium.WebElement getNextDecadeButtonElement()

    - #### getOkButtonElement

          public org.openqa.selenium.WebElement getOkButtonElement()

    - #### getPreviousDecadeButtonElement

          public org.openqa.selenium.WebElement getPreviousDecadeButtonElement()

    - #### getRootElement

          public org.openqa.selenium.WebElement getRootElement()

    - #### getSelectedClass

          protected String getSelectedClass()

    - #### getSelectedMonthNumber

          public Integer getSelectedMonthNumber()

    - #### getSelectedYearNumber

          public Integer getSelectedYearNumber()

    - #### getShortMonthsLabels

          public List<String> getShortMonthsLabels()

    - #### isVisible

          public boolean isVisible()

    - #### nextDecade

          public void nextDecade()

    - #### previousDecade

          public void previousDecade()

    - #### selectDate

          public YearAndMonthEditor selectDate(org.joda.time.DateTime date)

    - #### settimeoutForYearAndMonthEditorToBeNotVisible

          public void settimeoutForYearAndMonthEditorToBeNotVisible(long timeoutInMilliseconds)

    - #### getTimeoutForYearAndMonthEditorToBeNotVisible

          public long getTimeoutForYearAndMonthEditorToBeNotVisible()

    - #### setTimeoutForYearAndMonthEditorToBeVisible

          public void setTimeoutForYearAndMonthEditorToBeVisible(long timeoutInMilliseconds)

    - #### getTimeoutForYearAndMonthEditorToBeVisible

          public long getTimeoutForYearAndMonthEditorToBeVisible()

    - #### waitUntilIsNotVisible

          public WaitingWrapper waitUntilIsNotVisible()

    - #### waitUntilIsVisible

          public WaitingWrapper waitUntilIsVisible()

    - #### getMonthsEven

          protected List<org.openqa.selenium.WebElement> getMonthsEven()

    - #### getMonthsOdd

          protected List<org.openqa.selenium.WebElement> getMonthsOdd()

    - #### getSelectedMonth

          protected org.openqa.selenium.WebElement getSelectedMonth()

    - #### getYears

          protected List<org.openqa.selenium.WebElement> getYears()

    - #### getYearsEven

          protected List<org.openqa.selenium.WebElement> getYearsEven()

    - #### getYearsOdd

          protected List<org.openqa.selenium.WebElement> getYearsOdd()

    - #### getFirstYear

          protected org.openqa.selenium.WebElement getFirstYear()

    - #### getSelectedYear

          protected org.openqa.selenium.WebElement getSelectedYear()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.